# Logiciels requis pour utiliser et travailler sur les documents du cours Info 111
name: info-111

channels:
- conda-forge

dependencies:
- python=3.11
- mamba
- cxx-compiler
- git

##############################################################################
# JupyterLab

- jupyterlab>=4
- jupyter-offlinenotebook      # UI to save/... the notebook even when the server connection is lost
- jupyterlab-language-pack-fr-FR
- jupytext

# Interactive widgets
- jupyterlab_widgets # >=3.0.5
- ipywidgets                   # for dashboards and ipywidget-games-*
- ipylab                       # for dashboards
- ipydatagrid                  # for the instructor dashboard

# jupyterlab non critical extensions
- jupyter-offlinenotebook
- jupyter-resource-usage
- jupyterlab-git
- jupyterlab_code_formatter
- jupyterlab-myst

# xeus-cling
- xeus-cling
- xproperty
- xwidgets

##############################################################################
# Authoring and teaching tools
- jupyter-book
- mystmd
#- rise

## For nbgrader
#- nbgrader=0.8.1  # Installed by pip with nodeps in postBuild due to version conflict with jupyter_server
- rapidfuzz
- alembic

## For code validation
- pytest
- doctest

## Misc
- pandas         # for managing grades
- ipycanvas
# - xcanvas
- SFML         # for Semaine10
- matplotlib-base

- pip
- pip:
#    - jupyterlab-deck # 2023/08/31: jupyterlab <4 for now
    - jupyterlab_rise
    - nbgrader>=0.9.1
    - "git+https://github.com/nthiery/nbconvert.git@kernel_robustness" # dev version for nbgrader to support kernel crashes
    - ipywidgets_game_jugs
    - ipywidgets_game_wolf_goat_cabbage
    - "git+https://gitlab.com/travo-cr/travo.git"
    - "git+https://github.com/nthiery/laby-jupyter"
    - "git+https://gitlab.dsi.universite-paris-saclay.fr/nicolas.thiery/Laby.git"
    - .
